curl --request POST \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/reason_codes/{reason_code} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
"{ \"object\": \"ReasonCode\", \"reason_code\": \"496968\", \"description\": \"Subscription too pricey\", \"reason_type\": \"cancel\" }"
'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/reason_codes/{reason_code}"
payload = "{ \"object\": \"ReasonCode\", \"reason_code\": \"496968\", \"description\": \"Subscription too pricey\", \"reason_type\": \"cancel\" }"
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify('{ "object": "ReasonCode", "reason_code": "496968", "description": "Subscription too pricey", "reason_type": "cancel" }')
};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/reason_codes/{reason_code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/reason_codes/{reason_code}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode('{ "object": "ReasonCode", "reason_code": "496968", "description": "Subscription too pricey", "reason_type": "cancel" }'),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/reason_codes/{reason_code}"
payload := strings.NewReader("\"{ \\\"object\\\": \\\"ReasonCode\\\", \\\"reason_code\\\": \\\"496968\\\", \\\"description\\\": \\\"Subscription too pricey\\\", \\\"reason_type\\\": \\\"cancel\\\" }\"")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/reason_codes/{reason_code}")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("\"{ \\\"object\\\": \\\"ReasonCode\\\", \\\"reason_code\\\": \\\"496968\\\", \\\"description\\\": \\\"Subscription too pricey\\\", \\\"reason_type\\\": \\\"cancel\\\" }\"")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/reason_codes/{reason_code}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "\"{ \\\"object\\\": \\\"ReasonCode\\\", \\\"reason_code\\\": \\\"496968\\\", \\\"description\\\": \\\"Subscription too pricey\\\", \\\"reason_type\\\": \\\"cancel\\\" }\""
response = http.request(request)
puts response.read_body"{ \"object\": \"ReasonCode\", \"reason_code\": \"496968\", \"description\": \"Subscription too pricey\", \"reason_type\": \"cancel\" }""{ \"object\": \"Error\", \"message\": \"JSON is invalid\" }"{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"This endpoint does not exist. Check our API docs.\" }"updates reason codes
Updates reason codes
curl --request POST \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/reason_codes/{reason_code} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
"{ \"object\": \"ReasonCode\", \"reason_code\": \"496968\", \"description\": \"Subscription too pricey\", \"reason_type\": \"cancel\" }"
'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/reason_codes/{reason_code}"
payload = "{ \"object\": \"ReasonCode\", \"reason_code\": \"496968\", \"description\": \"Subscription too pricey\", \"reason_type\": \"cancel\" }"
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify('{ "object": "ReasonCode", "reason_code": "496968", "description": "Subscription too pricey", "reason_type": "cancel" }')
};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/reason_codes/{reason_code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/reason_codes/{reason_code}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode('{ "object": "ReasonCode", "reason_code": "496968", "description": "Subscription too pricey", "reason_type": "cancel" }'),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/reason_codes/{reason_code}"
payload := strings.NewReader("\"{ \\\"object\\\": \\\"ReasonCode\\\", \\\"reason_code\\\": \\\"496968\\\", \\\"description\\\": \\\"Subscription too pricey\\\", \\\"reason_type\\\": \\\"cancel\\\" }\"")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/reason_codes/{reason_code}")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("\"{ \\\"object\\\": \\\"ReasonCode\\\", \\\"reason_code\\\": \\\"496968\\\", \\\"description\\\": \\\"Subscription too pricey\\\", \\\"reason_type\\\": \\\"cancel\\\" }\"")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/reason_codes/{reason_code}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "\"{ \\\"object\\\": \\\"ReasonCode\\\", \\\"reason_code\\\": \\\"496968\\\", \\\"description\\\": \\\"Subscription too pricey\\\", \\\"reason_type\\\": \\\"cancel\\\" }\""
response = http.request(request)
puts response.read_body"{ \"object\": \"ReasonCode\", \"reason_code\": \"496968\", \"description\": \"Subscription too pricey\", \"reason_type\": \"cancel\" }""{ \"object\": \"Error\", \"message\": \"JSON is invalid\" }"{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"This endpoint does not exist. Check our API docs.\" }"Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id or the vid of the reason code to update. A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.
128Body
JSON A full reason code object.
Value is “ReasonCode”
ReasonCode Constant Field – Values: Cancel, pause
The reason code. Usually a numeric value. Can be 15 characters or fewer. Note: Codes 0 - 100 are reserved for Subscribe or fewer.
A description of the reason for the cancellation. Can be up to 255 characters long.
Response
JSON A full Reason Code object.
Value is “ReasonCode”
ReasonCode Constant Field – Values: Cancel, pause
The reason code. Usually a numeric value. Can be 15 characters or fewer. Note: Codes 0 - 100 are reserved for Subscribe or fewer.
A description of the reason for the cancellation. Can be up to 255 characters long.

